﻿
body {
    padding-top: 50px;
    padding-bottom: 20px;
    font-family: 'Open Sans', sans-serif !important;
}

h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
    font-family: 'Open Sans', sans-serif !important;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}
.navbar-header {
    width:100%;
}
/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}

    input.extraBreit {
        max-width: 100%;
    }

    textarea.extraBreit {
        max-width: 100%;
    }

/* styles for validation helpers */
.field-validation-error {
    color: #b94a48;
}

.panel-validation-error {
    background: #b94a48!important;
    color: whitesmoke!important;

}
.has-validation-error {
    color: #b94a48!important;
    font-weight: bold!important;
}

.field-validation-valid {
    display: none;
}

input.input-validation-error {
    border: 1px solid #b94a48;
}

input[type="checkbox"].input-validation-error {
    border: 0 none;
}

.validation-summary-errors {
    color: #b94a48;
}

.validation-summary-valid {
    display: none;
}

.navbar-inverse {
    background-color: #004A91; /*#222222;*/
    border-color: #080808;
}
.navbar-inverse-test {
    background-color: #BD595F; /*#222222;*/
}
.navbar-inverse-test2 {
    background-color: #613A6B; /*#222222;*/
}

.navbar-inverse .navbar-brand {
    color: #ffffff; /*#999999;*/
}

.btn-default:hover,
.btn-default:focus {
    background-color: #e0e0e0;
    background-position: 0 -15px;
}

.btn-default:active,
.btn-default.active {
    background-color: #004A91;
    border-color: #004A91;
    color: #e0e0e0;
}
#identdokbtn.active {
    background-color: inherit;
    border-color: inherit;
    color: inherit;
    -webkit-box-shadow: inherit;
    box-shadow:inherit; 
}
.btn-default.disabled,
.btn-default:disabled,
.btn-default[disabled] {
    background-color: #e0e0e0;
    background-image: none;
}

.label-primary {
    background-color: #004A91;
}

.inverse_firmenfarbe {
    background-color: #004A91;
    color: #eee;
}

.inverse_firmenfarbe a {
    background-color: #004A91;
    color: #eee;
}
.ungueltig {
    font-style:italic;
    color:gray;
}
.btn-primary {
    border-color: #004A91;
    color: #004A91;
    background-color: transparent;
}

    .btn-primary:active,
    .btn-primary.active {
        background-color: #004A91;
        border-color: #004A91;
    }

    .btn-primary:hover:active,
    .btn-primary:focus:active {
        color: #fff;
        background-color: rgba(0, 74, 145,0.5);
        border-color: #004A91;
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    }

    .btn-primary:hover {
        background-color: #fff;
        color: #A83C4C;
        font-weight: bold;
        border-color: #004A91;
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    }
    .btn-primary:focus {
        background-color: #004A91;
        color: #fff;
        font-weight: bold;
        border-color: #004A91;
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    }

    .btn-primary.disabled,
    .btn-primary:disabled,
    .btn-primary[disabled] {
        background-color: #e0e0e0;
        background-image: none;
    }

.bg-gray {
    background-color: #777;
}

.bg-grayLight {
    background-color: #eee;
}

.voffset {
    margin-top: 2px;
}

.voffset1 {
    margin-top: 5px;
}

.voffset2 {
    margin-top: 10px;
}

.voffset3 {
    margin-top: 15px;
}

.voffset4 {
    margin-top: 30px;
}

.voffset5 {
    margin-top: 40px;
}

.voffset6 {
    margin-top: 60px;
}

.voffset7 {
    margin-top: 80px;
}

.voffset8 {
    margin-top: 100px;
}

.voffset9 {
    margin-top: 150px;
}

.panel-default > .panel-heading-blue {
    background: #004A91;
    color: #fff;
}

.fehlerMeldung {
    color: #b94a48;
}

.AngebotUebersicht {
    color: #004A91;
}

.AntragUeberschrift {
    color: #b94a48;
}

#AntragGrid thead th {
    background: #FFB8B6;
}

#AngeboteGrid thead th {

}
.edocbox_teilung_box input{
    width:100%;
}
.site-footer {
    background-color: #eeeeee;
    border-radius: 6px;
    padding: 6px;
    margin-top: 6px;
}
/* Datepicker nach ganz oben*/
.ui-datepicker {
    z-index: 9999 !important;
}

.dropdown-menu > li > a {
    display: block;
    padding: 8px 20px;
    clear: both;
    font-weight: normal;
    line-height: 1.428571429;
    color: #333333;
    white-space: nowrap;
}

.ui-iggrid-groupedrow {
    background: #004A91;
    color: #fff;
}

#KopfVermittlerGrid_VkzName {
    background: #ff9f32;
}

.numericAlignment {
    text-align: right !important;
}

.verticalLine {
    border-left: thick solid #004A91;
}

/* Checkbox Schalter https://bootsnipp.com/snippets/featured/material-design-switch */
.material-switch > input[type="checkbox"] {
    display: none;
}

.material-switch > label {
    cursor: pointer;
    height: 0px;
    position: relative;
    width: 40px;
}

    .material-switch > label::before {
        background: rgb(0, 0, 0);
        box-shadow: inset 0px 0px 10px rgba(0, 0, 0, 0.5);
        border-radius: 8px;
        content: '';
        height: 16px;
        margin-top: -8px;
        position: absolute;
        opacity: 0.3;
        transition: all 0.4s ease-in-out;
        width: 40px;
    }

    .material-switch > label::after {
        background: rgb(255, 255, 255);
        border-radius: 16px;
        box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
        content: '';
        height: 24px;
        left: -4px;
        margin-top: -8px;
        position: absolute;
        top: -4px;
        transition: all 0.3s ease-in-out;
        width: 24px;
    }

.material-switch > input[type="checkbox"]:checked + label::before {
    background: inherit;
    opacity: 0.5;
}

.material-switch > input[type="checkbox"]:checked + label::after {
    background: inherit;
    left: 20px;
}
/**********/

/* Ladekreisel */
.windows8 {
    position: relative;
    width: 72px;
    height: 72px;
    margin: auto;
}

    .windows8 .wBall {
        position: absolute;
        width: 68px;
        height: 68px;
        opacity: 0;
        transform: rotate(225deg);
        -o-transform: rotate(225deg);
        -ms-transform: rotate(225deg);
        -webkit-transform: rotate(225deg);
        -moz-transform: rotate(225deg);
        animation: orbit 6.96s infinite;
        -o-animation: orbit 6.96s infinite;
        -ms-animation: orbit 6.96s infinite;
        -webkit-animation: orbit 6.96s infinite;
        -moz-animation: orbit 6.96s infinite;
    }

        .windows8 .wBall .wInnerBall {
            position: absolute;
            width: 9px;
            height: 9px;
            background: rgb(0,75,145);
            left: 0px;
            top: 0px;
            border-radius: 9px;
        }

    .windows8 #wBall_1 {
        animation-delay: 1.52s;
        -o-animation-delay: 1.52s;
        -ms-animation-delay: 1.52s;
        -webkit-animation-delay: 1.52s;
        -moz-animation-delay: 1.52s;
    }

    .windows8 #wBall_2 {
        animation-delay: 0.3s;
        -o-animation-delay: 0.3s;
        -ms-animation-delay: 0.3s;
        -webkit-animation-delay: 0.3s;
        -moz-animation-delay: 0.3s;
    }

    .windows8 #wBall_3 {
        animation-delay: 0.61s;
        -o-animation-delay: 0.61s;
        -ms-animation-delay: 0.61s;
        -webkit-animation-delay: 0.61s;
        -moz-animation-delay: 0.61s;
    }

    .windows8 #wBall_4 {
        animation-delay: 0.91s;
        -o-animation-delay: 0.91s;
        -ms-animation-delay: 0.91s;
        -webkit-animation-delay: 0.91s;
        -moz-animation-delay: 0.91s;
    }

    .windows8 #wBall_5 {
        animation-delay: 1.22s;
        -o-animation-delay: 1.22s;
        -ms-animation-delay: 1.22s;
        -webkit-animation-delay: 1.22s;
        -moz-animation-delay: 1.22s;
    }



@keyframes orbit {
    0% {
        opacity: 1;
        z-index: 99;
        transform: rotate(180deg);
        animation-timing-function: ease-out;
    }

    7% {
        opacity: 1;
        transform: rotate(300deg);
        animation-timing-function: linear;
        origin: 0%;
    }

    30% {
        opacity: 1;
        transform: rotate(410deg);
        animation-timing-function: ease-in-out;
        origin: 7%;
    }

    39% {
        opacity: 1;
        transform: rotate(645deg);
        animation-timing-function: linear;
        origin: 30%;
    }

    70% {
        opacity: 1;
        transform: rotate(770deg);
        animation-timing-function: ease-out;
        origin: 39%;
    }

    75% {
        opacity: 1;
        transform: rotate(900deg);
        animation-timing-function: ease-out;
        origin: 70%;
    }

    76% {
        opacity: 0;
        transform: rotate(900deg);
    }

    100% {
        opacity: 0;
        transform: rotate(900deg);
    }
}

@-o-keyframes orbit {
    0% {
        opacity: 1;
        z-index: 99;
        -o-transform: rotate(180deg);
        -o-animation-timing-function: ease-out;
    }

    7% {
        opacity: 1;
        -o-transform: rotate(300deg);
        -o-animation-timing-function: linear;
        -o-origin: 0%;
    }

    30% {
        opacity: 1;
        -o-transform: rotate(410deg);
        -o-animation-timing-function: ease-in-out;
        -o-origin: 7%;
    }

    39% {
        opacity: 1;
        -o-transform: rotate(645deg);
        -o-animation-timing-function: linear;
        -o-origin: 30%;
    }

    70% {
        opacity: 1;
        -o-transform: rotate(770deg);
        -o-animation-timing-function: ease-out;
        -o-origin: 39%;
    }

    75% {
        opacity: 1;
        -o-transform: rotate(900deg);
        -o-animation-timing-function: ease-out;
        -o-origin: 70%;
    }

    76% {
        opacity: 0;
        -o-transform: rotate(900deg);
    }

    100% {
        opacity: 0;
        -o-transform: rotate(900deg);
    }
}

@-ms-keyframes orbit {
    0% {
        opacity: 1;
        z-index: 99;
        -ms-transform: rotate(180deg);
        -ms-animation-timing-function: ease-out;
    }

    7% {
        opacity: 1;
        -ms-transform: rotate(300deg);
        -ms-animation-timing-function: linear;
        -ms-origin: 0%;
    }

    30% {
        opacity: 1;
        -ms-transform: rotate(410deg);
        -ms-animation-timing-function: ease-in-out;
        -ms-origin: 7%;
    }

    39% {
        opacity: 1;
        -ms-transform: rotate(645deg);
        -ms-animation-timing-function: linear;
        -ms-origin: 30%;
    }

    70% {
        opacity: 1;
        -ms-transform: rotate(770deg);
        -ms-animation-timing-function: ease-out;
        -ms-origin: 39%;
    }

    75% {
        opacity: 1;
        -ms-transform: rotate(900deg);
        -ms-animation-timing-function: ease-out;
        -ms-origin: 70%;
    }

    76% {
        opacity: 0;
        -ms-transform: rotate(900deg);
    }

    100% {
        opacity: 0;
        -ms-transform: rotate(900deg);
    }
}

@-webkit-keyframes orbit {
    0% {
        opacity: 1;
        z-index: 99;
        -webkit-transform: rotate(180deg);
        -webkit-animation-timing-function: ease-out;
    }

    7% {
        opacity: 1;
        -webkit-transform: rotate(300deg);
        -webkit-animation-timing-function: linear;
        -webkit-origin: 0%;
    }

    30% {
        opacity: 1;
        -webkit-transform: rotate(410deg);
        -webkit-animation-timing-function: ease-in-out;
        -webkit-origin: 7%;
    }

    39% {
        opacity: 1;
        -webkit-transform: rotate(645deg);
        -webkit-animation-timing-function: linear;
        -webkit-origin: 30%;
    }

    70% {
        opacity: 1;
        -webkit-transform: rotate(770deg);
        -webkit-animation-timing-function: ease-out;
        -webkit-origin: 39%;
    }

    75% {
        opacity: 1;
        -webkit-transform: rotate(900deg);
        -webkit-animation-timing-function: ease-out;
        -webkit-origin: 70%;
    }

    76% {
        opacity: 0;
        -webkit-transform: rotate(900deg);
    }

    100% {
        opacity: 0;
        -webkit-transform: rotate(900deg);
    }
}

@-moz-keyframes orbit {
    0% {
        opacity: 1;
        z-index: 99;
        -moz-transform: rotate(180deg);
        -moz-animation-timing-function: ease-out;
    }

    7% {
        opacity: 1;
        -moz-transform: rotate(300deg);
        -moz-animation-timing-function: linear;
        -moz-origin: 0%;
    }

    30% {
        opacity: 1;
        -moz-transform: rotate(410deg);
        -moz-animation-timing-function: ease-in-out;
        -moz-origin: 7%;
    }

    39% {
        opacity: 1;
        -moz-transform: rotate(645deg);
        -moz-animation-timing-function: linear;
        -moz-origin: 30%;
    }

    70% {
        opacity: 1;
        -moz-transform: rotate(770deg);
        -moz-animation-timing-function: ease-out;
        -moz-origin: 39%;
    }

    75% {
        opacity: 1;
        -moz-transform: rotate(900deg);
        -moz-animation-timing-function: ease-out;
        -moz-origin: 70%;
    }

    76% {
        opacity: 0;
        -moz-transform: rotate(900deg);
    }

    100% {
        opacity: 0;
        -moz-transform: rotate(900deg);
    }
}
/* https://codepen.io/tofanelli/pen/waadRY */
.panel-heading .accordion-toggle:after {
    /* symbol for "opening" panels */
    font-family: 'Glyphicons Halflings'; /* essential for enabling glyphicon */
    content: "\e114"; /* adjust as needed, taken from bootstrap.css */
    float: right; /* adjust as needed */
    color: grey; /* adjust as needed */
}

.panel-heading .accordion-toggle.collapsed:after {
    /* symbol for "collapsed" panels */
    content: "\e080"; /* adjust as needed, taken from bootstrap.css */
}

.ui-widget-content {
    border: transparent !important;
}
/********* Pirmin **********/
.moded-input {
    max-width: 100%;
}

.mod-space-around {
    padding-bottom: 1%;
    padding-top: 1%;
    padding-left: 2%;
    padding-right: 2%;
}

.mod-space-vertical {
    padding-bottom: 5px;
    padding-top: 5px;
}

.mod-space-horizontal {
    padding-left: 2%;
    padding-right: 2%;
}

.mod-space-buttons {
    margin-left: 5px;
    margin-right: 5px;
}

.margin-vertical {
    margin-top: 5px;
    margin-bottom: 5px;
}

.margin-bottom {
    margin-bottom: 2%;
}

.space-bottom {
    margin-bottom: 10px;
}

.toolbar-label {
    margin-top: 2%;
    margin-bottom: 2%;
}
/***/
.vcenter {
    display: inline-block;
    vertical-align: middle;
    float: none;
}

.vertical-align {
    display: flex;
    align-items: center;
}

.menu_button_grouped {
    min-width: 104px !important;
    max-width: 134px !important;
}
/* sbs Fehler als roten Schatten */
.glowing-border {
    box-shadow: 0 0 5px #ff0000;
}
.glowing-border:focus {
    box-shadow: 0 0 10px #ff0000;
}

/* sbs Veritavl buttons */
.vertical-container .row {
    display: table;
    width: 100%;
}

    .vertical-container .row > .col-lg-6 {
        display: table-cell;
        vertical-align: middle;
    }
/* Submenu aus https://stackoverflow.com/questions/18023493/bootstrap-dropdown-sub-menu-missing */
.dropdown-submenu {
    position: relative;
}

    .dropdown-submenu > .dropdown-menu {
        top: 0;
        left: 100%;
        margin-top: -6px;
        margin-left: -1px;
        -webkit-border-radius: 0 6px 6px 6px;
        -moz-border-radius: 0 6px 6px 6px;
        border-radius: 0 6px 6px 6px;
    }

    .dropdown-submenu:hover > .dropdown-menu {
        display: block;
    }

    .dropdown-submenu > a:after {
        display: block;
        content: " ";
        float: right;
        width: 0;
        height: 0;
        border-color: transparent;
        border-style: solid;
        border-width: 5px 0 5px 5px;
        border-left-color: #cccccc;
        margin-top: 5px;
        margin-right: -10px;
    }

    .dropdown-submenu:hover > a:after {
        border-left-color: #ffffff;
    }

    .dropdown-submenu.pull-left {
        float: none;
    }

        .dropdown-submenu.pull-left > .dropdown-menu {
            left: -100%;
            margin-left: 10px;
            -webkit-border-radius: 6px 0 6px 6px;
            -moz-border-radius: 6px 0 6px 6px;
            border-radius: 6px 0 6px 6px;
        }
.exporting-overlay {
    position: absolute;
    background-color: rgba(181, 181, 181, 0.9);
    top: 0;
    left: 0;
    z-index: 100000;
    text-align: center;
    vertical-align: top;
    padding-top: 100px;
}
.datenerfasserlisteaktionentd {
    width:100px;
}
#neuen_erfasser {
    float:right;
}
.exporting-overlay:after {
    content: "";
    display: inline-block;
    vertical-align: middle;
    height: 100%;
}

.exporting-text {
    font-size: 46px;
    font-weight: bold;
    vertical-align: top;
}

@media (min-width: 992px) {
    .modal-lg {
        width: 900px;
    }
}
.radio-lg {
    width: 20px;
    height: 20px;
}
.largerCheckbox {
    transform: scale(2); /* Adjust the magnification as needed */
    margin: 14px!important; /* To keep it within the browser window */
}
.btn-custom {
   /* width: 70%;*/
    /*margin: 2px auto;*/ /* Zentriert die Buttons */
}
.max-width {
    width: 100%;
}
.bz-form-group-small {
    margin-top: 5px;
    margin-bottom: 5px;
}
